BEGIN ~#Illyria~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~You see a young woman asleep on the ground. Her skin has a sickly grey sheen to it, and she has several large bruises on her face and arms. Do you want to wake Illyria up and have her join your party?~

IF ~~ THEN REPLY ~Yes.~ GOTO Join2
IF ~~ THEN REPLY ~No.~ GOTO Exit
END

IF ~~ THEN BEGIN Join2
SAY ~She smiles at you, and her smile is like the sun coming up. "Thankyou."~
IF ~~ THEN DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN Exit
SAY ~She stirs slightly, before drifting back to sleep. You can't help but feel sorry for her as you tear your gaze away.~
IF ~~ EXIT
END

BEGIN ~B#Illyri~

CHAIN
IF ~InParty("Jaheira")
InParty("illyria")
See("Jaheira")
See("illyria")
!StateCheck("Jaheira",STATE_SLEEPING)
!StateCheck("illyria",STATE_SLEEPING)
Global("IllyriaJaheira1","LOCALS",0)~ THEN BJAHEIR Suspect
~Illyria, your motives for joining this party are highly suspect.~ DO ~SetGlobal("HessaJaheira1","LOCALS",1)~
==B#ILLYRI
~I don't see how. I have always been frank about my motives. I'm here for the power and the money. I'm chanelling Hessa, yeeey.~
==BJAHEIR
~Yes, you are definately chanelling Hessa. While that is not an unknown, it is difficult to foresee just what depths your chanelling will drive you to, and what the ramification will be for this party. I worry that you will throw <CHARNAME>'s motives out of balance.~
==B#ILLYRI IF ~ReputationLT(Player1, 15) ReputationGT(Player1, 9)~ THEN ~I hardly think you need to crack your brow out of balance, Jaheira. You're looking at this the wrong way. If I wern't around, <CHARNAME> might be TOO good.~
==B#ILLYRI IF ~ReputationLT(Player1, 10)~ THEN ~So what if our reputation has become a bit shady? Gods, if we were balanced as an acrobat on a high wire, would you really be carefree?~
==BJAHEIR IF ~ReputationLT(Player1, 10)~ THEN ~With you in the party?~ 
=
~I doubt it.~
EXIT

BEGIN ~#IllyriP~

IF ~Global("IllyriaJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~You want me to leave?.~
IF ~~ THEN REPLY ~Oh, I'm sorry, I didn't mean leave.. ~ DO ~JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ DO ~SetGlobal("IllyriaJoined","LOCALS",0)~ EXIT
END

IF ~Global("Illyria","LOCALS",0)~ THEN BEGIN Rejoin
SAY ~You want me to rejoin?~
IF ~~ THEN REPLY ~Of course I do - I shouldn't have kicked you out in the first place!.~ DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ EXIT
END

